;;
;; toggle graphics area theme
;;
(defun theme_dark ()
 (setvar "BKGCOLOR" "169")
 (setvar "COLORX" 131)
 (setvar "COLORY" 133)
 (setvar "COLORZ" 5)
 (setvar "SnapMarkerColor" 3)
 (setvar "AutoTrackingVecColor" 252)
 (setvar "HIGHLIGHTCOLOR" 210)
 (setvar "HIGHLIGHTEFFECT" 1)
 (setvar "GRIPCOLOR" 211)
 (setvar "GRIPDYNCOLOR" 140)
 (setvar "GRIPHOT" 50)
 (setvar "GRIPHOVER" 211)
 (setvar "GRIPSIZE" 2)
 (setvar "GRIDAXISCOLOR" 161)
 (setvar "GRIDMAJORCOLOR" 171)
 (setvar "GRIDMINORCOLOR" 162)
 (setvar "DynDimColorHover" 142)
 (setvar "DynDimColorHot" 142)
 (setvar "CROSSINGAREACOLOR" 6)
 (setvar "WINDOWAREACOLOR" 4)
 (princ "\nDisplay colors set to dark theme")
)

(defun theme_bright ()
 (setvar "BKGCOLOR" "7")
 (setvar "COLORX" 30)
 (setvar "COLORY" 31)
 (setvar "COLORZ" 41)
 (setvar "SnapMarkerColor" 10)
 (setvar "AutoTrackingVecColor" 252)
 (setvar "HIGHLIGHTCOLOR" 150)
 (setvar "HIGHLIGHTEFFECT" 3)
 (setvar "GRIPCOLOR" 140)
 (setvar "GRIPDYNCOLOR" 140)
 (setvar "GRIPHOT" 10)
 (setvar "GRIPHOVER" 30)
 (setvar "GRIPSIZE" 3)
 (setvar "GRIDAXISCOLOR" 40)
 (setvar "GRIDMAJORCOLOR" 41)
 (setvar "GRIDMINORCOLOR" 51)
 (setvar "DynDimColorHover" 142)
 (setvar "DynDimColorHot" 142)
 (setvar "CROSSINGAREACOLOR" 30)
 (setvar "WINDOWAREACOLOR" 40)
 (princ "\nDisplay colors set to light theme")
)

(defun C:TT()
 (if (= "7"  (getvar "BKGCOLOR") )
  (theme_dark)
  (theme_bright)
 )
)
